<?php
	if (!defined('MOODLE_INTERNAL'))
		die('Direct access to this script is forbidden.');
	
	class block_career_edit_form extends block_edit_form
	{
		
		/**
		 * @param $mform
		 */
		function specific_definition($mform)
		{
			// Adding an element to the form
			$mform->addElement('header', 'configheader', get_string('blocksettings', 'block'));

			// Option to show/hide the block to students
			$mform->addElement('advcheckbox', 'config_showstudents', get_string('config_showstudents', 'block_career'), get_string('config_showstudents_desc', 'block_career'));
			$mform->setDefault('config_showstudents', get_config('block_career', 'showstudentsbydefault'));
		}
	}

?>