;(function () {

	/* Descriptions */
	var descr_area = document.querySelectorAll('.career-descr-fold');
	/* Links to expand description if it has been folded */
	var descr_icons = document.querySelectorAll('.career-descr-fold-icon');

	/* If > 175px (too big) => change to 150px + link to unfold to normal size. */
	for (var i = 0; i < descr_area.length; i++) {
		var height = descr_area[i].offsetHeight
		if (height > 175) {
			descr_area[i].dataset.foldsize = "small"
		} else {
			var icon = descr_area[i].querySelector('.career-descr-fold-icon');
			icon.setAttribute('hidden', 'hidden');
		}
	}

	/* onclick on link => target parent section descr and change the foldsize attribute to cause css changes (unfold & icon) */
	for (var i = 0; i < descr_icons.length; i++) {
		descr_icons[i].onclick = function(e) {
			e.preventDefault();
			var target = e.target;
			while ( target ) {
				if (target.getAttribute('class') != null){
					if (target.getAttribute('class').indexOf('career-descr career-descr-fold') > -1) {
						break;
					}
				}
				target = target.parentNode;
			}
			target.dataset.foldsize == "small" ? target.dataset.foldsize = 'full' : target.dataset.foldsize = 'small'; 
		}
	}

})();