# Bloc parcours

Plugin MOODLE de type bloc de cours qui permet d'afficher une liste de certaines activités existante du cours sur une page à part. P.ex. pour créer des parcours de niveaux, thématiques, etc. dans un cours volumineux. Crée des parcours différents dans le cours. 

## Auteurs

- Myriam Delaruelle <myriam.delaruelle@univ-lorraine.fr>

- Vrignaud Camille <cvrignaud@softia.fr>
- Lebeau Michaël <mlebeau@softia.fr>
- Thomas Fradet <thomas.fradet@univ-lorraine.fr>

## Compatibility

MOODLE 3.7
MOODLE 3.8
MOODLE 3.9
MOODLE 3.10

## Contribution

Contributors are welcome ! Please contact <iena-contact@univ-lorraine.fr>. 

## Contact

Pour assistance interne (Université de Lorraine) : <https://helpdesk.univ-lorraine.fr>. 

Pour tout autre question : <iena-contact@univ-lorraine.fr>. 

Other : <iena-contact@univ-lorraine.fr>. 

## Installation

You _have to rename_ the folder "career" at the path `/blocks/career`. 

## Fonctionnalités

L'enseignant ajoute un parcours en lui donnant un nom et en sélectionnant plusieurs ressources ou activités du cours à y inclure. 

L'étudiant voit une liste des parcours dans le bloc. En cliquant sur le nom de l'un des parcours, il voit une page qui lui présente la liste des ressoures et activités du cours choisies par l'enseignant pour ce parcours. 

---

Teacher add a path with name and ressources and activity subset / selection from course. 

Student see path list quand by clicking one of them, can access to the list of ressources and activity choosen by the teacher for this learning path. 

## Roadmap

[ ] Permettre de consulter les éléments d'un parcours avec un meilleur enchaînement. 
[ ] Intégrer l'achèvement d'activité avec visualisation des activités achevées, et pourcentage de complétion du parcours dans la page du parcours et dans le bloc
[ ] Ajouter un tableau de bord de progression dans les parcours pour l'enseignant
